'use strict'
// 期限から現在の時間をひく
function countdown (due){
    const now = new Date();

    const rest = due.getTime() - now.getTime();
    const sec = Math.floor(rest /1000) % 60;
    const min = Math.floor(rest /1000 /60) % 60;
    const hours = Math.floor(rest / 1000 / 60 / 60 ) % 24;
    const days = Math.floor(rest / 1000 / 60 / 60 /24);
    const count = [days,hours,min,sec];
    return count;
}

// 期限を設定
const g_year = 2022;//半角で西暦を入力
const g_month = 1;//半角で月を入力
const g_day = 25;//半角で日を入力
const g_hour = 13;//半角で時間を入力（24時間表記）
const g_min = 50;//半角で分を入力


const c_g_month = g_month -1;
const goal = new Date(g_year, c_g_month, g_day, g_hour, g_min);

// 期限を出力
const limit = `${g_year}年${g_month}月${g_day}日${g_hour}時${g_min}時`;
document.getElementById('limit').textContent = limit;

// 残りの時間を出力
function recalc(){
    const counter = countdown(goal);
    const digit_sec = String(counter[3]).padStart(2, '0');
    const digit_min = String(counter[2]).padStart(2, '0');
    const time = `${counter[0]}日${counter[1]}時間${digit_min}分${digit_sec}秒`;
    if (digit_sec>=0){
        document.getElementById('timer').textContent = time;
    }else{
        document.getElementById('over').textContent = "期限切れ";
        document.getElementById('delete').remove();
    }
    refresh();
}

// 1秒ごとにfunction recalcを繰り返す
function refresh(){
    setTimeout(recalc,1000);
}

recalc();




